Package org.eclipse.ltk.core.refactoring

# Class FileStatusContext

java.lang.Object
org.eclipse.ltk.core.refactoring.RefactoringStatusContext
org.eclipse.ltk.core.refactoring.FileStatusContext

public class FileStatusContext extends RefactoringStatusContext
A file context can be used to annotate a `RefactoringStatusEntry` with detailed information about a problem detected in an `IFile`.

Note: this class is not intended to be extended by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`FileStatusContext(IFile file, IRegion region)`
Creates an status entry context for the given file and source region.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCorrespondingElement()`
Returns the element that corresponds directly to this context, or `null` if there is no corresponding element.
`IFile`
`getFile()`
Returns the context's file.
`IRegion`
`getTextRegion()`
Returns the context's source region

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringStatusContext

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileStatusContext

public FileStatusContext(IFile file, IRegion region)
Creates an status entry context for the given file and source region.

Parameters:
  `file` - the file that has caused the problem. Must not be `null`
  `region` - the source region of the problem inside the given file or `null` if now source region is known

## Method Details

### getFile

public IFile getFile()
Returns the context's file.

Returns:
  the context's file

### getTextRegion

public IRegion getTextRegion()
Returns the context's source region

Returns:
  the context's source region or `null` if no source region has been set

### getCorrespondingElement

public Object getCorrespondingElement()
Description copied from class: `RefactoringStatusContext`
Returns the element that corresponds directly to this context, or `null` if there is no corresponding element.

For example, the corresponding element of a context for a problem detected in an `IResource` would be the resource itself.

Specified by:
  `getCorrespondingElement` in class `RefactoringStatusContext`
Returns:
  the corresponding element